<?php

namespace Drupal\cmlmerchant\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\cmlmerchant\Service\YmlServiceInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\Response;


/**
 * FeedController.
 */
class FeedController extends ControllerBase {

  const YANDEX_FILE = DRUPAL_ROOT . '/sites/default/files/YML/cmlmerchant_yandex.xml';
  const GOOGLE_FILE = DRUPAL_ROOT . '/sites/default/files/YML/cmlmerchant_google.xml';

  /**
   * Drupal\cmlmerchant\Service\YmlServiceInterface definition.
   *
   * @var \Drupal\cmlmerchant\Service\YmlServiceInterface
   */
  protected $yml;

  /**
   * Construct new FeedController.
   *
   * @param \Drupal\cmlmerchant\Service\YmlServiceInterface $ymlService
   *   YML feed generator service.
   */
  public function __construct(YmlServiceInterface $ymlService) {
    $this->yml = $ymlService;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('cmlmerchant.yml')
    );
  }

  /**
   * Страница тестирования формирования фида.
   */
  public function debug() {
    $this->yml->debug();
    return [];
  }

  /**
   * Страница yandex.xml
   */
  public function yandex() {
    if (file_exists(self::YANDEX_FILE)) {
      $xml = file_get_contents(self::YANDEX_FILE);
      $response = new Response();
      $response->setContent($xml);
      $response->headers->set('Content-Type', 'text/xml');
      return $response;
    }
    return ['content' => ['#markup' => 'Тут пока пусто =(']];
  }

  /**
   * Страница google.xml
   */
  public function google() {
    if (file_exists(self::GOOGLE_FILE)) {
      $xml = file_get_contents(self::GOOGLE_FILE);
      $response = new Response();
      $response->setContent($xml);
      $response->headers->set('Content-Type', 'text/xml');
      return $response;
    }
    return ['content' => ['#markup' => 'Тут пока пусто =(']];
  }

}
