<?php

namespace Drupal\cmlmerchant\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class SettingsForm.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'cmlmerchant.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('cmlmerchant.settings');
    $form['shop_name'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Название магазина'),
      '#maxlength' => 100,
      '#size' => 100,
      '#default_value' => $config->get('shop_name'),
    ];
    $form['company_name'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Название компании'),
      '#maxlength' => 150,
      '#size' => 150,
      '#default_value' => $config->get('company_name'),
    ];
    $form['site_url'] = [
      '#type' => 'textfield',
      '#description' => $this->t('Пример: https://synapse-studio.ru'),
      '#title' => $this->t('Адрес сайта'),
      '#maxlength' => 150,
      '#size' => 150,
      '#default_value' => $config->get('site_url'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('cmlmerchant.settings')
      ->set('shop_name', $form_state->getValue('shop_name'))
      ->set('company_name', $form_state->getValue('company_name'))
      ->set('site_url', $form_state->getValue('site_url'))
      ->save();
  }

}
